%global pypi_name jaraco.functools
%global pkg_name jaraco-functools

%bcond_with docs

Summary:        Functools like those found in stdlib
Name:           python-%{pkg_name}
Version:        3.9.0
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/jaraco/jaraco.functools
Source0:        %{pypi_source %{pypi_name}}

BuildArch:      noarch
 
%description
This package provides functools like those found in stdlib.

%package -n python3-%{pkg_name}
Summary:       %{summary}

BuildRequires:  python3-devel python3dist(setuptools) python3dist(jaraco-classes)
BuildRequires:  python3dist(pip) >= 3.4 python3dist(pytest) >= 3.4
# NOT change python3-jaraco to python3dist(jaraco) or similar
Requires:       python3-jaraco
Provides:       python3-%{pkg_name} = %{version}-%{release}

%description -n python3-%{pkg_name}
This package provides functools like those found in stdlib.

%if %{with docs}
%package -n python-%{pkg_name}-doc
Summary:        jaraco-functools documentation

BuildRequires:  python3dist(jaraco-packaging) >= 3.2
BuildRequires:  python3dist(rst-linker) >= 1.9
BuildRequires:  python3dist(sphinx)

%description -n python-%{pkg_name}-doc
This package provides documentation for jaraco-functools.
%endif

%prep
%autosetup -n jaraco.functools-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with docs}
PYTHONPATH=${PWD} sphinx-build docs html

rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install

%check
%pytest

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/jaraco/functools*
%{python3_sitelib}/jaraco.functools-%{version}.dist-info

%if %{with docs}
%files -n python-%{pkg_name}-doc
%license LICENSE
%doc html
%endif

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.9.0-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.9.0-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 jackeyji <jackeyji@tencent.com> - 3.9.0-1
- upgrade to 3.9.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 22 2022 Wang Guodong <gordonwwang@tencent.com> - 3.5.2-1
- package init.
